about summary refs log tree commit diff
path: root/tests/fallback.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fallback.sh')
-rw-r--r--tests/fallback.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/fallback.sh b/tests/fallback.sh
new file mode 100644
index 000000000000..f3a6b50515bf
--- /dev/null
+++ b/tests/fallback.sh
@@ -0,0 +1,20 @@
+source common.sh
+
+clearStore
+
+drvPath=$(nix-instantiate simple.nix)
+echo "derivation is $drvPath"
+
+outPath=$(nix-store -q --fallback "$drvPath")
+echo "output path is $outPath"
+
+# Build with a substitute that fails.  This should fail.
+export NIX_SUBSTITUTERS=$(pwd)/substituter2.sh
+if nix-store -r "$drvPath"; then echo unexpected fallback; exit 1; fi
+
+# Build with a substitute that fails.  This should fall back to a source build.
+export NIX_SUBSTITUTERS=$(pwd)/substituter2.sh
+nix-store -r --fallback "$drvPath"
+
+text=$(cat "$outPath"/hello)
+if test "$text" != "Hello World!"; then exit 1; fi